Bug 1064977 - OSE 1.2 Deployment Guide's example /etc/mcollective/server.cfg is incorrect and prevents node from being added to district
OSE 1.2 Deployment Guide's example /etc/mcollective/server.cfg is incorrect a...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
1.2.1
All All
unspecified Severity medium
: ---
: ---
Assigned To: Alex Dellapenta
ecs-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-13 11:22 EST by Chester Knapp
Modified: 2015-07-19 20:22 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Build Name: 22146, Deployment Guide-1-1.2 Build Date: 14-01-2014 16:01:15 Topic ID: 20590-567590 [Specified]
Last Closed: 2014-02-23 21:20:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chester Knapp 2014-02-13 11:22:06 EST
Title: Installing and Configuring MCollective on Node Hosts

Describe the issue:
From "6.6. Installing and Configuring MCollective on Node Hosts" (https://access.redhat.com/site/documentation/en-US/OpenShift_Enterprise/1/html-single/Deployment_Guide/index.html#Updating_the_Facter_Database), the example /etc/mcollective/server.cfg file's last line is incorrect:

plugin.yaml = /opt/rh/ruby193/root/etc/mcollective/facts.yaml

Suggestions for improvement:
Change the last line to plugin.yaml = /etc/mcollective/facts.yaml

Additional information:

With the 'plugin.yaml = /opt/rh/ruby193/root/etc/mcollective/facts.yaml' line in place, you won't see any issue until you attempt to add a node to a district: 

[root@broker ~]# oo-admin-ctl-district -c add-node -n small_district -i node1.example.com
ERROR OUTPUT:
Node with server identity: node1.example.com is of node profile '' and needs to be 'small' to add to district 'small_district'

Note You need to log in before you can comment on or make changes to this bug.